Bug 491976 - [fonts-ISO8859-2] Please rebuild for Fedora 11 to pick up font autodeps
[fonts-ISO8859-2] Please rebuild for Fedora 11 to pick up font autodeps
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fonts-ISO8859-2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On: 491510
Blocks: 225764
  Show dependency treegraph
 
Reported: 2009-03-24 15:38 EDT by Nicolas Mailhot
Modified: 2010-05-20 06:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: iso8859-2-fonts-1.0-24.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-20 06:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-03-24 15:38:51 EDT
.
Comment 1 Nicolas Mailhot 2009-03-24 15:49:33 EDT
Due to various problems in libmagic and rpm, the new Fedora 11 font autoprovides were not working for some less common font formats (as detailed in bug #491510).

We have detected your package is affected:

repoquery -C --repoid=rawhide -f "/usr/share/fonts/*pcf.gz" -f "/usr/share/fonts/*pfa" -f "/usr/share/fonts/*ttc" --qf='%{SOURCERPM}\n'

Please rebuild your package in rawhide to have the fixed rpmbuild add the correct autoprovides to its metadata.

If you package still has not been converted to the new font packaging guidelines (bug #477044), please do the conversion first as autoprovides won't do a lot of good for packages that do not respect that.
Comment 2 Bug Zapper 2009-06-09 08:35:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Parag Nemade 2009-08-05 05:13:29 EDT
Ok. So this package and bug is assigned to me now. Lets try to cleanup spec according to new fonts packaging guidelines.

nim-nim,
   May I request you to please evaluate this package with new spec and SRPM given below?
SPEC:- http://paragn.fedorapeople.org/ISO8859-2-fonts.spec
SRPM:- http://paragn.fedorapeople.org/ISO8859-2-fonts-1.0-22.fc11.src.rpm
Comment 5 Nicolas Mailhot 2009-08-09 17:35:13 EDT
Unfortunately, there is a lot more work to do to fix xorg fonts:

1. splitting by region/encoding is a deprecated practice (it only works for bitmap and type1 anyway), nowadays we split by font family. So all the xorg font packages need re-grouping of the fonts spread over many encoding packages, and separation of fonts mixed in a single package

2. as discussed recently on the fonts list nowadays our libs can handle bitmap sntf fonts just fine, so it'd probably be a good idea to consider converting to opentype bitmap fonts (saner metadata model, disk space win). A lot of the xorg bitmap fonts do not pass format sanity checks anyway right now (see the monthly audit poster on the list)

3. bdf and type one fonts need to be installed via %_font_pkg, and %_font_pkg needs at minimum the file names as argument. If you don't convert to opentype see terminus as an example of not too badly packaged legacy bitmap font

4. %_font_pkg won't let you use uppercase in the package name, since the guidelines for fonts say lowercase for everyone

So that's non-trivial and need to be coordinated across all the current xorg font packages. That being said, those packages contribute with TEX to a sizeable portion of the problems the repo audit script signals, so cleaning this up would improve our packaging state significantly
Comment 6 Nicolas Mailhot 2009-08-09 17:37:04 EDT
PS. I won't be reachable before sept 7, I fly away tomorrow in ~ 8 hours
Comment 7 Bug Zapper 2010-04-27 09:19:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Parag Nemade 2010-05-13 01:42:01 EDT
This package needs packaging according to current packaging guidelines.

Note You need to log in before you can comment on or make changes to this bug.